org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class CAURI

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.CAURI

-     public class CAURI
      extends Object

  Java class for CAURI complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CAURI">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="clientAuthentication" type="{http://www.w3
               .org/2001/XMLSchema}unsignedInt"/>
               <element name="uri" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
               <element name="priority" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
               <element name="renewalOnly" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <any processContents='lax' maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `any`
    `protected long` | `clientAuthentication`
    `protected Long` | `priority`
    `protected boolean` | `renewalOnly`
    `protected String` | `uri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CAURI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getAny()` Gets the value of the any property.
    `long` | `getClientAuthentication()` Gets the value of the clientAuthentication property.
    `Long` | `getPriority()` Gets the value of the priority property.
    `String` | `getUri()` Gets the value of the uri property.
    `boolean` | `isRenewalOnly()` Gets the value of the renewalOnly property.
    `void` | `setClientAuthentication(long value)` Sets the value of the clientAuthentication property.
    `void` | `setPriority(Long value)` Sets the value of the priority property.
    `void` | `setRenewalOnly(boolean value)` Sets the value of the renewalOnly property.
    `void` | `setUri(String value)` Sets the value of the uri property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientAuthentication

          protected long clientAuthentication

    - #### uri

          protected String uri

    - #### priority

          protected Long priority

    - #### renewalOnly

          protected boolean renewalOnly

    - #### any

          protected List<Object> any

  - ### Constructor Detail

    - #### CAURI

          public CAURI()

  - ### Method Detail

    - #### getClientAuthentication

          public long getClientAuthentication()

      Gets the value of the clientAuthentication property.

    - #### setClientAuthentication

          public void setClientAuthentication(long value)

      Sets the value of the clientAuthentication property.

    - #### getUri

          public String getUri()

      Gets the value of the uri property.
      Returns:
        possible object is `String`

    - #### setUri

          public void setUri(String value)

      Sets the value of the uri property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPriority

          public Long getPriority()

      Gets the value of the priority property.
      Returns:
        possible object is `Long`

    - #### setPriority

          public void setPriority(Long value)

      Sets the value of the priority property.
      Parameters:
        `value` - allowed object is `Long`

    - #### isRenewalOnly

          public boolean isRenewalOnly()

      Gets the value of the renewalOnly property.

    - #### setRenewalOnly

          public void setRenewalOnly(boolean value)

      Sets the value of the renewalOnly property.

    - #### getAny

          public List<Object> getAny()

      Gets the value of the any property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

      For example, to add a new item, do as follows:

              getAny().add(newItem);

      Objects of the following type(s) are allowed in the list `Object` `Element`

Copyright © 2017 WSO2. All rights reserved.